
from abc import abstractmethod, ABC

from PytorchBoot.config import ConfigManager
from PytorchBoot.runners import Runner
from PytorchBoot.utils import Log

class WebRunner(ABC, Runner):

    @abstractmethod
    def __init__(self, config_path):
        ConfigManager.load_config_with(config_path)

    @abstractmethod
    def run(self):
        pass

